Support » Plugin: Easy Updates Manager » PHP 7 incompatibility

  • Resolved johnelk

    (@johnelk)


    In checking for compatibility with PHP 7 I get this error message:

    ———————————————————————————-
    FOUND 1 ERROR AFFECTING 1 LINE
    ———————————————————————————-
    12 | ERROR | ‘resource’ is a reserved keyword as of PHP version 7.0 and cannot be used to name a class, interface or trait or as part of a namespace (T_NAMESPACE)
    ———————————————————————————-

    Any advice?

Viewing 1 replies (of 1 total)
  • Plugin Contributor Ronald Huereca

    (@ronalfy)

    These are coming from the vendor folder in EUM and aren’t loaded as part of the plugin. In fact, we are removing the vendor folder in the next version.

    You can safely ignore the warnings.

Viewing 1 replies (of 1 total)
  • You must be logged in to reply to this topic.